Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh
Class SSHMenuHandlerFullAWT

    java.lang.Object
      com.mindbright.ssh.SSHMenuHandler
          com.mindbright.ssh.SSHMenuHandlerFull
              com.mindbright.ssh.SSHMenuHandlerFullAWT

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, java.awt.event.ItemListener, TerminalMenuListener

public class SSHMenuHandlerFullAWT
extends SSHMenuHandlerFull

Nested Class Summary

Nested classes inherited from class com.mindbright.ssh.SSHMenuHandlerFull
`SSHMenuHandlerFull.Actions`

Field Summary

Fields inherited from class com.mindbright.ssh.SSHMenuHandlerFull
`ACT_MOD_BASE, AUTH_METHODS, ciphers, client, comp2lvl, compc2s, comps2c, ERR_NO_KEYTYPE, ERR_NO_PROTOCOL, hktypes, IDX_TAB_FEATURES, IDX_TAB_GENERAL, IDX_TAB_PROXY, IDX_TAB_SECURITY, LBL_ALLOC_PTY, LBL_ANY_STANDARD, LBL_AUTH, LBL_AUTH_REQ, LBL_AVAIL_HOSTS, LBL_BIND_ADDR, LBL_BTN_ADD, LBL_BTN_BROWSE, LBL_BTN_CANCEL, LBL_BTN_CLOSE_TUNNEL, LBL_BTN_CONNECT, LBL_BTN_DELETE, LBL_BTN_DISMISS, LBL_BTN_NEW, LBL_BTN_OK, LBL_BTN_PREFS, LBL_BTN_PROXY, LBL_BTN_REFRESH, LBL_C2S, LBL_CIPHER, LBL_COMP, LBL_CRYPTOCARD, LBL_CURR_TUNNELS, LBL_CUSTOM_LIST, LBL_HKEY_DSS, LBL_HKEY_RSA, LBL_HKEY_TYPE, LBL_HOST_KEY, LBL_IDENTITY, LBL_INTERVAL, LBL_KBDINT, LBL_KEY_NOISE, LBL_LOCAL_DISP, LBL_MAC, LBL_MODIFY_LIST, LBL_PASSWORD, LBL_PORT, LBL_PROTO_SSH1, LBL_PROTO_SSH2, LBL_PROTOCOL, LBL_PROXY_TYPE, LBL_S2C, LBL_SAVE_AS_ALIAS, LBL_SECONDS, LBL_SECURID, LBL_SEND_KEEP, LBL_SERVER, LBL_STRICT, LBL_TAB_FEATURES, LBL_TAB_GENERAL, LBL_TAB_PROXY, LBL_TAB_SECURITY, LBL_TIS, LBL_TRANS_PREFS, LBL_USERNAME, LBL_X11_FORWARD, lvl2comp, macs, MENU_FILE, MENU_HEADER_PLUGINS, MENU_HEADER_POPUP, MENU_HELP, MENU_SETTINGS, MENU_TUNNELS, menuTexts, mindterm, modCnt, modules, NO_SHORTCUT, parent, ph, protos, term`

Constructor Summary
`SSHMenuHandlerFullAWT()`

Method Summary
`protected void` | `aboutDialog(java.awt.Frame parent, SSHInteractiveClient client, java.lang.String title, java.lang.String aboutText)`
`void` | `connectDialog(java.lang.String title)`
`void` | `currentTunnelsDialog(java.lang.String title)`
`protected java.lang.String` | `getMenuLabel(java.lang.Object o)`
`protected boolean` | `getState(int i, int j)`
`void` | `keyGenerationDialogCreate(java.lang.String title)`
`void` | `keyGenerationDialogEdit(java.lang.String title)`
`protected void` | `setEnabled(int i, int j, boolean v)`
`protected void` | `setState(int i, int j, boolean v)`
`void` | `setupMenuBar(boolean usePopupMenu)`
`protected void` | `setupTunnelsDialog(java.lang.String title)`
`protected void` | `sshConfigDialog(java.lang.String title, java.lang.String first)`
`protected void` | `sshNewServerDialog(java.lang.String title)`
`void` | `sshPreferencesDialog(java.lang.String title)`
`protected void` | `updatePluginMenu()`

Methods inherited from class com.mindbright.ssh.SSHMenuHandlerFull
`actionPerformed, alertDialog, close, confirmDialog, currentTunnelsDialog, getInstance, getMenuShortCut, getModuleLabel, getPopupButton, init, itemStateChanged, keyGenerationDialogCreate, keyGenerationDialogEdit, loadFileDialog, modulesConnect, modulesDisconnect, passwordDialog, saveAsFileDialog, setPasswordDialog, setPopupButton, setupTunnelsDialog, sshNewServerDialog, sshPreferencesDialog, textDialog, update`

Methods inherited from class com.mindbright.ssh.SSHMenuHandler
`close`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.mindbright.terminal.TerminalMenuListener
`close`

Constructor Detail

### SSHMenuHandlerFullAWT

    public SSHMenuHandlerFullAWT()

Method Detail

### setupMenuBar

    public void setupMenuBar(boolean usePopupMenu)

  Specified by:
    `setupMenuBar` in class `SSHMenuHandlerFull`

### setEnabled

    protected void setEnabled(int i,
                              int j,
                              boolean v)

  Specified by:
    `setEnabled` in class `SSHMenuHandlerFull`

### setState

    protected void setState(int i,
                            int j,
                            boolean v)

  Specified by:
    `setState` in class `SSHMenuHandlerFull`

### getState

    protected boolean getState(int i,
                               int j)

  Specified by:
    `getState` in class `SSHMenuHandlerFull`

### updatePluginMenu

    protected void updatePluginMenu()

  Specified by:
    `updatePluginMenu` in class `SSHMenuHandlerFull`

### getMenuLabel

    protected java.lang.String getMenuLabel(java.lang.Object o)

  Specified by:
    `getMenuLabel` in class `SSHMenuHandlerFull`

### connectDialog

    public void connectDialog(java.lang.String title)

  Specified by:
    `connectDialog` in class `SSHMenuHandlerFull`

### keyGenerationDialogCreate

    public void keyGenerationDialogCreate(java.lang.String title)

  Specified by:
    `keyGenerationDialogCreate` in class `SSHMenuHandlerFull`

### keyGenerationDialogEdit

    public void keyGenerationDialogEdit(java.lang.String title)

  Specified by:
    `keyGenerationDialogEdit` in class `SSHMenuHandlerFull`

### sshNewServerDialog

    protected void sshNewServerDialog(java.lang.String title)

  Specified by:
    `sshNewServerDialog` in class `SSHMenuHandlerFull`

### sshPreferencesDialog

    public void sshPreferencesDialog(java.lang.String title)

  Specified by:
    `sshPreferencesDialog` in class `SSHMenuHandlerFull`

### sshConfigDialog

    protected void sshConfigDialog(java.lang.String title,
                                   java.lang.String first)

### currentTunnelsDialog

    public final void currentTunnelsDialog(java.lang.String title)

  Specified by:
    `currentTunnelsDialog` in class `SSHMenuHandlerFull`

### setupTunnelsDialog

    protected void setupTunnelsDialog(java.lang.String title)

  Specified by:
    `setupTunnelsDialog` in class `SSHMenuHandlerFull`

### aboutDialog

    protected void aboutDialog(java.awt.Frame parent,
                               SSHInteractiveClient client,
                               java.lang.String title,
                               java.lang.String aboutText)

  Specified by:
    `aboutDialog` in class `SSHMenuHandlerFull`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD